> ## Documentation Index
> Fetch the complete documentation index at: https://help.opus.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a Clip to a Collection

> You can add a clip to an existing collection by making a `POST` request to `https://api.opus.pro/api/collection-contents`.



## OpenAPI

````yaml POST /api/collection-contents
openapi: 3.0.0
info:
  title: Clip API
  description: Clip API documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.opus.pro
    description: OpusClip Open API Production Server
security: []
tags: []
paths:
  /api/collection-contents:
    post:
      tags:
        - collection-content
        - enterprise
      operationId: CollectionContentController_createCollectionContent
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCollectionContentCmd'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponse'
                  - properties:
                      data:
                        $ref: '#/components/schemas/CollectionContentDto'
      security:
        - bearer: []
components:
  schemas:
    CreateCollectionContentCmd:
      type: object
      properties:
        collectionId:
          type: string
          description: The collectionID of the collection that you want to add the clip to.
          example: xmAwhhFi0IJt
        contentId:
          type: string
          description: >-
            The ID of the clip that you want to add to the collection.
            FullClipId: {projectId}.{curationId}
          example: P0000000demo.CUexample2
      required:
        - collectionId
        - contentId
    SuccessResponse:
      type: object
      properties:
        data:
          type: object
      required:
        - data
    CollectionContentDto:
      type: object
      properties:
        collectionId:
          type: string
          description: The collectionID of the collection that the clip was added to.
          example: xmAwhhFi0IJt
        contentId:
          type: string
          description: >-
            The ID of the clip that has been added to the collection.
            FullClipId: {projectId}.{curationId}
          example: P0000000demo.CUexample2
      required:
        - collectionId
        - contentId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````